Bug 1413505 - CVE-2016-6814 groovy18: Apache Groovy: Information disclosure [fedora-all]
Summary: CVE-2016-6814 groovy18: Apache Groovy: Information disclosure [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: groovy18
Version: 25
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-6814
TreeView+ depends on / blocked
 
Reported: 2017-01-16 08:43 UTC by Adam Mariš
Modified: 2017-08-18 10:05 UTC (History)
2 users (show)

Fixed In Version: 1.8.9-28
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-18 10:05:44 UTC
Type: ---


Attachments (Terms of Use)

Description Adam Mariš 2017-01-16 08:43:10 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Mikolaj Izdebski 2017-07-11 07:38:40 UTC
Fixed in groovy18-1.8.9-28

Comment 2 Fedora Update System 2017-07-11 07:52:36 UTC
groovy18-1.8.9-28.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-661dddc462

Comment 3 Fedora Update System 2017-07-12 05:23:17 UTC
groovy18-1.8.9-28.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-405453f285

Comment 4 Fedora Update System 2017-07-12 05:28:54 UTC
groovy18-1.8.9-28.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-33c8085c5d

Comment 5 Fedora Update System 2017-07-12 08:37:36 UTC
groovy18-1.8.9-28.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-661dddc462

Comment 6 Fedora End Of Life 2017-07-26 00:11:38 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Jan Kurik 2017-08-08 11:31:31 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates.

As this is a security big we are moving this bug to the currently latest
supported release. Please check whether this bug is still applicable.

Comment 8 Fedora Update System 2017-08-18 00:24:48 UTC
groovy18-1.8.9-28.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-08-18 04:49:05 UTC
groovy18-1.8.9-28.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Mikolaj Izdebski 2017-08-18 10:05:44 UTC
I believe that this bug is fixed in groovy18-1.8.9-28,
which is available in updates for Fedora 25, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=917096


Note You need to log in before you can comment on or make changes to this bug.